Name:           graveman
Version:        0.3.12.5
Release:        3%{?dist}
Summary:        A frontend for cdrtools, dvd+rw-tools and sox

Group:          Applications/Archiving
License:        GPL
URL:            http://graveman.tuxfamily.org
Source0:        http://graveman.tuxfamily.org/sources/graveman-0.3.12-5.tar.bz2
Patch0:         %{name}-0.3.12-5-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRequires:  flac-devel
BuildRequires:  libid3tag-devel
Requires:       cdrecord
Requires:	sox
Requires:	dvd+rw-tools


%description
Graveman! provides a graphical user interface for handling common CD/DVD
burning tasks. It can burn Audio CDs, Data CDs and DVDs, duplicate CDs,
and clean rewritable CD/DVD media.

%prep
%setup -q -n graveman-0.3.12-5
touch -r configure.in configure.in.stamp
%patch0 -p1
touch -r configure.in.stamp configure.in
perl -pi -e 's|^Applicationman = .*|Applicationman=\$(DESTDIR)%{_mandir}|' man/Makefile.in


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/fr/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/nl/man1
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category DiscBurning \
  --add-category AudioVideo \
  --add-category Application \
  --remove-category Utility \
  --delete-original \
 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/graveman
%{_datadir}/pixmaps/*
%{_mandir}/man*/*
%{_mandir}/*/man*/*


%changelog
* Sun Feb 11 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.5-3
- build with flac support
- enable optflags (bugzilla 227381)

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.5-2
- Rebuild for FE6

* Tue Jun  6 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.5-1
- new version 0.3.12-5

* Sat Jun  3 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.4-6
- added BuildReq: intltool

* Sat Apr  1 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.4-4
- Patch for memory bug

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.4-3
- Rebuild for Fedora Extras 5

* Thu Jun 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.4-2
- Add buildreq zlib-devel and libjpeg-devel

* Wed Jun 15 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12.4-1
- New Version 0.3.12-4

* Tue May 17 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12-2
- New Version 0.3.12

* Sat May  7 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.11-2
- Added BuildReq libmng-devel

* Fri May  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.11-1
- New Version 0.3.11

* Mon Apr  4 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.10-1
- New Version 0.3.10

* Sat Apr  2 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.9-2
- New Version 0.3.9

* Sun Feb 27 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.8-2
- Remove reference to mp3

* Wed Feb 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.8-1
- Initial Fedora release
